\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Surface Mesh

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Member Functions | Friends
CGAL::Surface_mesh< P >::Vertex_index Class Reference

`#include <CGAL/Surface_mesh/Surface_mesh.h>`

## Definition

This class represents a vertex.

Is Model Of:

  `Index`

  `LessThanComparable`

  `Hashable`

See Also
  `Halfedge_index`, `Edge_index`, `Face_index`

## Public Member Functions
| Vertex_index ()
| Default constructor.
| Vertex_index (size_type _idx)

## Friends
std::ostream & | operator<< (std::ostream &os, typename Surface_mesh::Vertex_index const &v)
| prints the index and a short identification string to an ostream.